## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEmitCylinderTangent Struct Reference

Cylinder tangential value emitter - gives direction tangential to cylinder Uses the given point, gives a tangential direction for that. More...

`#include <imesh/emit.h>`

Inheritance diagram for iEmitCylinderTangent:

[legend]
List of all members.

## Public Member Functions

virtual void | GetContent (csVector3 &start, csVector3 &end, float &min, float &max)=0
| get content
virtual void | SetContent (const csVector3 &start, const csVector3 &end, float min, float max)=0
| set content, start,end of cylinder, min/max size

## Detailed Description

Cylinder tangential value emitter - gives direction tangential to cylinder Uses the given point, gives a tangential direction for that.

Main creators of instances implementing this interface:

- iEmitFactoryState::CreateCylinderTangent()

Main users of this interface:

- iEmitState

Definition at line 224 of file emit.h.

## Member Function Documentation

virtual void iEmitCylinderTangent::GetContent | ( | csVector3 & | start,
|  | csVector3 & | end,
|  | float & | min,
|  | float & | max
| ) | `[pure virtual]`

| get content

virtual void iEmitCylinderTangent::SetContent | ( | const csVector3 & | start,
|  | const csVector3 & | end,
|  | float | min,
|  | float | max
| ) | `[pure virtual]`

| set content, start,end of cylinder, min/max size

The documentation for this struct was generated from the following file:

- imesh/emit.h